diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/csma-layout/bindings/modulegen__gcc_LP64.py ns-3.36/src/csma-layout/bindings/modulegen__gcc_LP64.py
--- ns-3.35/src/csma-layout/bindings/modulegen__gcc_LP64.py	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/csma-layout/bindings/modulegen__gcc_LP64.py	2022-04-30 18:23:57.810733300 -0700
@@ -5220,7 +5224,7 @@
                    'uint8_t', 
                    [param('uint8_t', 'ipTos')], 
                    is_static=True)
-    ## socket.h (module 'network'): void ns3::Socket::Ipv6JoinGroup(ns3::Ipv6Address address, ns3::Socket::Ipv6MulticastFilterMode filterMode, std::vector<ns3::Ipv6Address, std::allocator<ns3::Ipv6Address> > sourceAddresses) [member function]
+    ## socket.h (module 'network'): void ns3::Socket::Ipv6JoinGroup(ns3::Ipv6Address address, ns3::Socket::Ipv6MulticastFilterMode filterMode, std::vector<ns3::Ipv6Address, std::allocator<ns3::Ipv6Address>> sourceAddresses) [member function]
     cls.add_method('Ipv6JoinGroup', 
                    'void', 
                    [param('ns3::Ipv6Address', 'address'), param('ns3::Socket::Ipv6MulticastFilterMode', 'filterMode'), param('std::vector< ns3::Ipv6Address >', 'sourceAddresses')], 
@@ -6829,7 +6833,7 @@
                    'ns3::Ipv4Address', 
                    [], 
                    is_const=True)
-    ## ipv4-route.h (module 'internet'): std::map<unsigned int, unsigned int, std::less<unsigned int>, std::allocator<std::pair<const unsigned int, unsigned int> > > ns3::Ipv4MulticastRoute::GetOutputTtlMap() const [member function]
+    ## ipv4-route.h (module 'internet'): std::map<unsigned int, unsigned int, std::less<unsigned int>, std::allocator<std::pair<const unsigned int, unsigned int>>> ns3::Ipv4MulticastRoute::GetOutputTtlMap() const [member function]
     cls.add_method('GetOutputTtlMap', 
                    'std::map< unsigned int, unsigned int >', 
                    [], 
@@ -7754,10 +7758,16 @@
     cls.add_method('ExtractNeighborIndex', 
                    'uint32_t', 
                    [param('uint32_t', 'numberOfBits')])
-    ## nix-vector.h (module 'network'): uint32_t ns3::NixVector::GetRemainingBits() [member function]
+    ## nix-vector.h (module 'network'): uint32_t ns3::NixVector::GetEpoch() const [member function]
+    cls.add_method('GetEpoch', 
+                   'uint32_t', 
+                   [], 
+                   is_const=True)
+    ## nix-vector.h (module 'network'): uint32_t ns3::NixVector::GetRemainingBits() const [member function]
     cls.add_method('GetRemainingBits', 
                    'uint32_t', 
-                   [])
+                   [], 
+                   is_const=True)
     ## nix-vector.h (module 'network'): uint32_t ns3::NixVector::GetSerializedSize() const [member function]
     cls.add_method('GetSerializedSize', 
                    'uint32_t', 
@@ -7768,6 +7778,10 @@
                    'uint32_t', 
                    [param('uint32_t *', 'buffer'), param('uint32_t', 'maxSize')], 
                    is_const=True)
+    ## nix-vector.h (module 'network'): void ns3::NixVector::SetEpoch(uint32_t epoch) [member function]
+    cls.add_method('SetEpoch', 
+                   'void', 
+                   [param('uint32_t', 'epoch')])
     return
 
 def register_Ns3Node_methods(root_module, cls):
@@ -8099,10 +8113,11 @@
                    'uint32_t', 
                    [param('uint8_t *', 'buffer'), param('uint32_t', 'maxSize')], 
                    is_const=True)
-    ## packet.h (module 'network'): void ns3::Packet::SetNixVector(ns3::Ptr<ns3::NixVector> nixVector) [member function]
+    ## packet.h (module 'network'): void ns3::Packet::SetNixVector(ns3::Ptr<ns3::NixVector> nixVector) const [member function]
     cls.add_method('SetNixVector', 
                    'void', 
-                   [param('ns3::Ptr< ns3::NixVector >', 'nixVector')])
+                   [param('ns3::Ptr< ns3::NixVector >', 'nixVector')], 
+                   is_const=True)
     ## packet.h (module 'network'): std::string ns3::Packet::ToString() const [member function]
     cls.add_method('ToString', 
                    'std::string', 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/csma-layout/CMakeLists.txt ns-3.36/src/csma-layout/CMakeLists.txt
--- ns-3.35/src/csma-layout/CMakeLists.txt	1969-12-31 16:00:00.000000000 -0800
+++ ns-3.36/src/csma-layout/CMakeLists.txt	2022-04-30 18:23:57.806733400 -0700
@@ -0,0 +1,10 @@
+build_lib(
+  LIBNAME csma-layout
+  SOURCE_FILES model/csma-star-helper.cc
+  HEADER_FILES model/csma-star-helper.h
+  LIBRARIES_TO_LINK
+    ${libnetwork}
+    ${libinternet}
+    ${libcsma}
+    ${libpoint-to-point}
+)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/csma-layout/examples/CMakeLists.txt ns-3.36/src/csma-layout/examples/CMakeLists.txt
--- ns-3.35/src/csma-layout/examples/CMakeLists.txt	1969-12-31 16:00:00.000000000 -0800
+++ ns-3.36/src/csma-layout/examples/CMakeLists.txt	2022-04-30 18:23:57.810733300 -0700
@@ -0,0 +1,9 @@
+build_lib_example(
+  NAME csma-star
+  SOURCE_FILES csma-star.cc
+  LIBRARIES_TO_LINK
+    ${libcsma}
+    ${libcsma-layout}
+    ${libinternet}
+    ${libapplications}
+)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/csma-layout/model/csma-star-helper.h ns-3.36/src/csma-layout/model/csma-star-helper.h
--- ns-3.35/src/csma-layout/model/csma-star-helper.h	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/csma-layout/model/csma-star-helper.h	2022-04-30 18:23:57.810733300 -0700
@@ -21,13 +21,13 @@
 
 #include <string>
 
-#include "csma-helper.h"
-#include "ipv4-address-helper.h"
-#include "ipv6-address-helper.h"
-#include "internet-stack-helper.h"
-#include "ipv4-interface-container.h"
-#include "ipv6-interface-container.h"
-#include "ipv6-address-generator.h"
+#include "ns3/csma-helper.h"
+#include "ns3/ipv4-address-helper.h"
+#include "ns3/ipv6-address-helper.h"
+#include "ns3/internet-stack-helper.h"
+#include "ns3/ipv4-interface-container.h"
+#include "ns3/ipv6-interface-container.h"
+#include "ns3/ipv6-address-generator.h"
 
 namespace ns3 {
 
